[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToQWord

Convert a string to a QWord.

## Declaration

Source position: sysstrh.inc line 117

`function StrToQWord(`
`const s: string`
`):QWord;`

## Description

TryStrToQWord converts the string S to a valid QWord (unsigned 64-bit) value, and returns the result.

## Errors

If the string S does not contain a valid QWord value, a EConvertError exception is raised.

## See also

TryStrToQWord |  | Try to convert a string to a QWord value, and report on success
StrToQWordDef |  | Try to convert a string to a QWord, returning a default value in case of failure.
StrToInt64 |  | Convert a string to an Int64 value.
StrToInt |  | Convert a string to an integer value.

Documentation generated on: Feb 26 2014